Summary: Web server benchmark
Name: httperf
Version: 0.9.0
Release: 1
License: GPL
Group: Applications/Internet
URL: http://www.hpl.hp.com/research/linux/httperf/
Packager: Michael Perzl <michael@perzl.org>
Source0: ftp://ftp.hpl.hp.com/pub/%{name}/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel >= 0.9.8
Requires: openssl >= 0.9.8

%description
httperf is a popular web server benchmark tool for measuring web server
performance. It provides a flexible facility for generating various HTTP
workloads and for measuring server performance. The focus of httperf is
not on implementing one particular benchmark but on providing a robust,
high-performance tool that  facilitates the construction of both micro-
and macro-level benchmarks. The three distinguishing characteristics of
httperf are its robustness, which includes the ability to generate and
sustain server overload, support for the HTTP/1.1 protocol, and its 
extensibility to new workload generators and performance measurements. 


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Mon Jul 07 2008 Michael Perzl <michael@perzl.org> - 0.9.0-1
- first version for AIX V5.1 and higher
